# ykfirmware

[Yepkit](http://www.yepkit.com/) firmware update command line tool.

## Features

- Easy to [install](https://github.com/yepkit/ykfirmware#installation)
- Eeasy to [use](https://github.com/yepkit/ykfirmware#usage)
- Written to support all Yepkit firmware updatable [products](https://github.com/yepkit/ykfirmware#products)
- Works on Mac, Linux and Windows

## Installation

### Option 1: [Pip](https://pypi.python.org/pypi/ykfirmware)

```bash
$ pip install ykfirmware
```

### Option 2: From source

Anonymous:
```bash
$ git clone https://github.com/yepkit/ykfirmware
$ cd ykfirmware/
$ python setup.py install
```

Otherwise:
```bash
$ git clone git@github.com:yepkit/ykfirmware
$ cd ykfirmware/
$ python setup.py install
```

## Usage

### Basic usage

```bash
$ ykfirmware.py -h
usage: ykfirmware.py [-h] [-v VENDOR] [-p PRODUCT] [-s SERIAL] infile

Yepkit firmware update tool.

positional arguments:
  infile                the input Intel HEX filename

optional arguments:
  -h, --help            show this help message and exit
  -v VENDOR, --vendor VENDOR
                        the USB vendor ID
  -p PRODUCT, --product PRODUCT
                        the USB product ID
  -s SERIAL, --serial SERIAL
                        the USB device serial number string descriptor

$ ykfirmware Bootloader_SampleApp_PYK24.X.production.hex # flash the SampleApp firmware to the device
```

### Sample output

```bash
$ ykfirmware Bootloader_SampleApp_PYK24.X.production.hex
Welcome to Yepkit firmware update tool.
Progress status (8 steps):
> Specified device not found in bootloader mode, please reset it now or
> disconnect and reconnect it promptly.
> Note: the tool needs to access a bootloader function that is only
>       available in the early device startup.
> Waiting for device......
1. Device located.
2. Device successfully connected.
3. Device programmable region: 0x2000 to 0x15400, a total of 154KiB.
4. Importing .hex file...done.
5. Erasing device before programming...done.
6. Programming device...done.
7. Verifying the written data...done.
8. Resetting device...done.
$ 
```

## Products

The tool supports the following firmware updatable devices:

- We are working hard on it, to be released soon

## Contributing

#### Bug Reports & Feature Requests

Please use the [issue tracker](https://github.com/yepkit/ykfirmware/issues) to report any bugs or file feature requests.

