#!/usr/bin/env python
# coding: utf-8

from __future__ import unicode_literals

from setuptools import setup, find_packages

version = '0.2.1'

setup(
    name='ykfirmware',
    version=version,
    description='Yepkit firmware update tool',
    long_description=open('README.md').read(),
    author='Yepkit',
    author_email='contact@yepkit.com',
    license='MIT',
    keywords=['ykfirmware', 'firmware', 'pic', 'usb', 'command line', 'cli'],
    url='https://github.com/yepkit/ykfirmware',
    packages=find_packages(),
    install_requires=[
        'pyusb>=1.0.0b2',
    ],
    entry_points={
        'console_scripts': [
            'ykfirmware=ykfirmware.ykfirmware:main'
        ],
    },
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Environment :: Console",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 2",
        "Programming Language :: Python :: 3",
        "Topic :: Utilities",
    ],
)
